Ask Your Question
2

[openni_tracker] InitFromXml failed: Can't create any node of the requested type!

asked 2011-04-14 19:21:32 -0600

soilwoker gravatar image

updated 2016-10-24 09:07:09 -0600

ngrennan gravatar image

I'm trying to use the openni_tracker node in the openni_kinect stack but when I try and run it I get the following error message:

InitFromXml failed: Can't create any node of the requested type!

I'm using ros-diamondback and I'm trying to use openni_tracker with the kinect. This is really frustrating because I already had it working. Any help on why I'm getting this error would be appreciated.

Also, because openni_tracker doesn't display a view of the camera's image I was wondering if there was an easily accessible node that could display the skeleton tracking image tracker is based on.

Thanks

Anthony

edit retag flag offensive close merge delete

7 Answers

Sort by » oldest newest most voted
1

answered 2011-07-15 16:47:53 -0600

s_martin gravatar image

updated 2011-07-15 17:40:20 -0600

You need to register the license key for the dev modules.

"sudo niLicense -l 0KOIk2JeIBYClPWVnMoRKn5cdY4="

Steven

edit flag offensive delete link more

Comments

it doesnt work! And if i try "sudo niLicense -r Primesense 0KOIk2JeIBYClPWVnMoRKn5cdY4=" i get the error : "Failed: Failed to write to the file!"
bunower gravatar imagebunower ( 2011-07-19 01:08:09 -0600 )edit
1
The command itself worked for my turtlebot/Ubuntu, with exactly the same values without double-quotation, showing PrimeSense being associated with the key. However I still get the same error.
130s gravatar image130s ( 2011-11-18 10:13:03 -0600 )edit
2

answered 2015-02-12 10:09:32 -0600

I am using ROS Hydro on Ubuntu 12.04 with a Microsoft Kinect. From top to bottom, this is what worked for me:

sudo apt-get install ros-<ros_distro>-openni-camera
sudo apt-get install ros-<ros_distro>-openni-launch
sudo apt-get install ros-<ros_distro>-openni-tracker

Go to this Dropbox from isura (Thanks) and download NITE-Bin-Linux-x64-v1.5.2.23.tar.zip. Extract the zip and tar into a temporary folder (i.e., ~/tmp).

cd ~/tmp/NITE-Bin-Dev-Linux-x64-v1.5.2.23/
sudo ./install.sh

Ensure your Microsoft Kinect is properly connected, then run:

roslaunch openni_launch openni_launch camera:=openni

In a separate terminal window run:

rosrun openni_tracker openni_tracker

In another terminal window run:

rosrun rviz rviz

In Rviz, change Global Options > Fixed Frame to openni_depth_optical_frame.

"Add" the visualization (bottom left) PointCloud2.

Change PointCloud2 >Topic to /openni/depth_registered/points (but whatever you pick works).

"Add" the visualization (bottom left) TF.

Stand in front of the Microsoft Kinect and make the "Psi Pose". Axes should appear on all your joints.

I hope this helps you. There are a lot of different versions of NITE out there and this is the one that happened to work for me.

edit flag offensive delete link more

Comments

it still have respond:

[ERROR] [1454926421.236391161]: NITE is likely missing: Please install NITE >= 1.5.2.21. Check the readme for download information. Error Info: User generator failed: Can't create any node of the requested type!

HELP!!

adelleodel gravatar imageadelleodel ( 2016-02-08 04:14:14 -0600 )edit

I also meet the problem: NITE is likely missing: Please install NITE >= 1.5.2.21. But when I remove and reinstall the NITE and Sensor and change the usb port by many times, it worked. I just run two commands:

roscore  
rosrun openni_tracker openni_tracker
张京林 gravatar image张京林 ( 2016-11-22 07:41:17 -0600 )edit
0

answered 2018-08-23 08:59:19 -0600

I find a solution in this link:

https://groups.google.com/d/msg/ros-b...

You need to use Sensor-Bin-Linux-x64-v5.1.2.1 rather than NITE-Bin-Dev-Linux-x64-v1.5.2.23

edit flag offensive delete link more
0

answered 2011-09-08 15:02:47 -0600

D gravatar image

Hi Antony,

I am facing the same problem., did you find any solution ?

Thanks D

edit flag offensive delete link more

Comments

Hi, I met the same problem. Do you have the solution?

chenlx92 gravatar imagechenlx92 ( 2017-10-16 04:24:30 -0600 )edit
0

answered 2011-11-18 12:01:28 -0600

130s gravatar image

updated 2011-11-18 12:05:14 -0600

I'm not sure which platform you're using but on my turtlebot, I experienced the same thing and found it occurs only when the power seems not be provided (light is off on USB cable that's connected to iRobot Create). I solved this issue by first running:

rosrun turtlebot_node kinect_breaker_enabler.py &

Adding license wasn't necessary for me. HTH.

edit flag offensive delete link more
0

answered 2013-01-27 02:46:08 -0600

WIZARD1 gravatar image

I'm a new user of ROS openni . Now I am using ubuntu 12.04 and my ROS dist is groovy. when I run the command rosrun openni_tracker openni_tracker,the only thing I got is a error message: InitFromXml failed: Can't create any node of the requested type!

I followed the solution above provided but no use

I googled a lot ,but not a correct solution for me.Any help will be appreciated ,It really drives me crazy.

Thanks

edit flag offensive delete link more

Comments

Please not use answer section to ask a question even if it's related. Open a new question and refer to this thread.

130s gravatar image130s ( 2013-01-27 08:27:06 -0600 )edit
1

sorry won't happen again

WIZARD1 gravatar imageWIZARD1 ( 2013-01-27 20:27:36 -0600 )edit
0

answered 2014-12-19 12:02:18 -0600

Nouman Tahir gravatar image

This is how i solved this issue, Firstly you need to make sure you NITE 1.5.2.23 installed on your system

Then run

roslaunch openni_launcher openni.launch

this is necessary for the tracker to work but the point is not include in the documentation

now, in a new terminal run

rosrun openni_tracker openni_tracker

you shouldnt get any error now for running it, check its working by standing in front for kinect and running rviz

edit flag offensive delete link more

Comments

I was having problem with openni_tracker as it returned Couldn't connect to any devices.. Hence I installed freenect_launch as they both more or less in the same topics and nearly equivalent... But as you said after running freenect_launch also I am facing the same error. Please help

Ramkumar gravatar imageRamkumar ( 2015-01-07 10:17:54 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2011-04-14 19:21:32 -0600

Seen: 10,285 times

Last updated: Feb 12 '15